Subject: Re: [PATCH 0/10] cleaning up check_repository_format_gently

From: David Turner <[email-masked]>
Date: Tue, 01 Mar 2016 19:42:51 -0500

On Tue, 2016-03-01 at 09:35 -0500, Jeff King wrote:
> After the discussion in:
> 
>   http://thread.gmane.org/gmane.comp.version-control.git/287949/focus
> =288002
> 
> I came up with this series to try to address some of the warts in
> check_repository_format_gently().
> 
> I had hoped to come up with something very small that could go at the
> front of the refs-backend series, but as with any time I look at the
> setup code, it managed to snowball into a potpourri of hidden
> assumptions.
> 
> So I hope David isn't _too_ irritated to see this in his inbox.

I commented on two of the patches; the rest look good to me.

I rebased on these (minus the repo_version_string change from 10/10). Wasn't too bad.  And it did clean up the submodule check.

I will wait to resend my series until I hear back about your shortlog/mailmap fix and your suggestion on a better archive --remote fix.